diff --git a/books/bookvol10.3.pamphlet b/books/bookvol10.3.pamphlet
index e90e9b9..d86fec2 100644
--- a/books/bookvol10.3.pamphlet
+++ b/books/bookvol10.3.pamphlet
@@ -29259,25 +29259,25 @@ DoubleFloat(): Join(FloatingPointSystem, DifferentialRing, OpenMath,
    OMwrite(x: %): String ==
      s: String := ""
      sp := OM_-STRINGTOSTRINGPTR(s)$Lisp
-     dev: OpenMathDevice := OMopenString(sp pretend String, OMencodingXML)
+     dev: OpenMathDevice := OMopenString(sp @ String, OMencodingXML)
      OMputObject(dev)
      OMputFloat(dev, convert x)
      OMputEndObject(dev)
      OMclose(dev)
-     s := OM_-STRINGPTRTOSTRING(sp)$Lisp pretend String
+     s := OM_-STRINGPTRTOSTRING(sp)$Lisp @ String
      s
 
    OMwrite(x: %, wholeObj: Boolean): String ==
      s: String := ""
      sp := OM_-STRINGTOSTRINGPTR(s)$Lisp
-     dev: OpenMathDevice := OMopenString(sp pretend String, OMencodingXML)
+     dev: OpenMathDevice := OMopenString(sp @ String, OMencodingXML)
      if wholeObj then
        OMputObject(dev)
      OMputFloat(dev, convert x)
      if wholeObj then
        OMputEndObject(dev)
      OMclose(dev)
-     s := OM_-STRINGPTRTOSTRING(sp)$Lisp pretend String
+     s := OM_-STRINGPTRTOSTRING(sp)$Lisp @ String
      s
 
    OMwrite(dev: OpenMathDevice, x: %): Void ==
@@ -29327,8 +29327,8 @@ DoubleFloat(): Join(FloatingPointSystem, DifferentialRing, OpenMath,
               FLOAT(196677847971,MOST_-POSITIVE_-DOUBLE_-FLOAT$Lisp)$Lisp
    pi()    == FLOAT(PI$Lisp,MOST_-POSITIVE_-DOUBLE_-FLOAT$Lisp)$Lisp
    coerce(x:%):OutputForm == 
-     x >= 0 => message(FORMAT(NIL$Lisp,format,x)$Lisp pretend String)
-     - (message(FORMAT(NIL$Lisp,format,-x)$Lisp pretend String))
+     x >= 0 => message(FORMAT(NIL$Lisp,format,x)$Lisp @ String)
+     - (message(FORMAT(NIL$Lisp,format,-x)$Lisp @ String))
    convert(x:%):InputForm == convert(x pretend DoubleFloat)$InputForm
    x < y            == DFLESSTHAN(x,y)$Lisp
    - x              == DFUNARYMINUS(x)$Lisp
@@ -29394,7 +29394,7 @@ DoubleFloat(): Join(FloatingPointSystem, DifferentialRing, OpenMath,
 -- not implemented in SFSFUN
 --   Gamma(x,y)       == Gamma(sfx,sfy)$SFSFUN pretend %
    polygamma(x,y)   ==
-       if (n := retractIfCan(x:%):Union(Integer, "failed")) case Integer _
+       if (n := retractIfCan(x@%)@Union(Integer, "failed")) case Integer _
           and n >= 0
        then polygamma(n::Integer::NonNegativeInteger,sfy)$SFSFUN pretend %
        else error "polygamma: first argument should be a nonnegative integer"
diff --git a/buglist b/buglist
index aaebdd2..0fdabb2 100644
--- a/buglist
+++ b/buglist
@@ -5,13 +5,23 @@ todo 330:
 wish 1011:
 meh 5:
 errors 10016:
-warnings 20570:
+warnings 20571:
 macros 30234:
 typos 40363:
 dup 50006:
 nonextend 60077:
 
 =========================================================================
+warnings 20570:
+
+>compiling DFLOAT.spad to DFLOAT.nrlib
+ 
+   Warnings: 
+      [1] mantissa:  MANTISSA has no value
+      [2] exponent:  EXPONENT has no value
+      [3] hash: signature of lhs not unique: (Integer)$ chosen
+
+=========================================================================
 warnings 20569:
 
 >compiling LIST.spad to LIST.nrlib
@@ -13806,20 +13816,6 @@ warnings 20074:
       [1] remove:  y has no value
  
 =========================================================================
-warnings 20073:
-
->compiling DFLOAT.spad to DFLOAT.nrlib
- 
-   Warnings: 
-      [1] OMwrite: pretend(String) -- should replace by @
-      [2] mantissa:  MANTISSA has no value
-      [3] exponent:  EXPONENT has no value
-      [4] coerce: pretend(String) -- should replace by @
-      [5] hash: signature of lhs not unique: (Integer)$ chosen
-      [6] polygamma: :$ -- should replace by @
-      [7] polygamma: :(Union (Integer) failed) -- should replace by @
- 
-=========================================================================
 warnings 20072:
 
 >compiling ES.spad to ES.nrlib
@@ -35845,16 +35841,6 @@ Warning: SREGSET;decompose has a duplicate definition in this file
 ============================================================================
 
    finalizing nrlib DFLOAT 
-   Warnings: 
-      [1] OMwrite: pretend(String) -- should replace by @
-      [2] mantissa:  MANTISSA has no value
-      [3] exponent:  EXPONENT has no value
-      [4] coerce: pretend(DoubleFloat) -- should replace by @
-      [5] hash: signature of lhs not unique: (Integer)$ chosen
-
-============================================================================
-
-   finalizing nrlib DFLOAT 
 --->/research2/test0819/mnt/fedora5/../../src/algebra/DFLOAT.spad-->DoubleFloat((doubleFloatFormat ((String) (String)))): Improper first word in comments: change
 "change the output format for doublefloats using lisp format strings"
 
@@ -36018,14 +36004,6 @@ Warning: SREGSET;decompose has a duplicate definition in this file
 
 ============================================================================
 
-   finalizing nrlib LIST 
-   Warnings: 
-      [1] OMwrite: pretend(String) -- should replace by @
-      [2] setIntersection:  u has no value
-      [3] setDifference:  lu has no value
-
-============================================================================
-
    finalizing nrlib LNAGG 
 ; (DEFUN |LinearAggregate| ...) is being compiled.
 ;; The variable |LinearAggregate;AL| is undefined.
@@ -40580,3 +40558,16 @@ warnings 20063:
       [2] setIntersection:  u has no value
       [3] setDifference:  lu has no value
  
+fixed 20130315.02.tpd.patch
+=========================================================================
+warnings 20073:
+
+>compiling DFLOAT.spad to DFLOAT.nrlib
+ 
+   Warnings: 
+      [1] OMwrite: pretend(String) -- should replace by @
+      [4] coerce: pretend(String) -- should replace by @
+      [6] polygamma: :$ -- should replace by @
+      [7] polygamma: :(Union (Integer) failed) -- should replace by @
+ 
+
diff --git a/changelog b/changelog
index bf89804..ff4860a 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,6 @@
+20130315 tpd src/axiom-website/patches.html 20130315.02.tpd.patch
+20130315 tpd buglist DFLOAT fix 20073, add 20570
+20130315 tpd books/bookvol10.3 DFLOAT fix 20073, add 20570
 20130315 tpd src/axiom-website/patches.html 20130315.01.tpd.patch
 20130315 tpd buglist LIST fix 20063, add, add 20569
 20130315 tpd books/bookvol10.3 LIST fix 20063, add, add 20569
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 140d9eb..5d32001 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -4053,5 +4053,7 @@ books/bookvol10.3 MLIFT fix 20001, add 20568
 books/bookvol2 Axiom and Category Theory chapter
 <a href="patches/20130315.01.tpd.patch">20130315.01.tpd.patch</a>
 books/bookvol10.3 LIST fix 20063, add, add 20569
+<a href="patches/20130315.02.tpd.patch">20130315.02.tpd.patch</a>
+books/bookvol10.3 DFLOAT fix 20073, add 20570
  </body>
 </html>
